* program to load the data used for the campbell-mankiw
* programs

bma expressions 1000 compile 9000 constants 10000
cal 50 1 4 
alloc  74 (95,4)

environment errors=10000 warning=10000

smpl 50:1 93:2

* michigan index begins nov 52
* conf. bd index begins feb 69
* michigan expectations begins jan 53
* conf. bd expectations begins  jan 78

eqv 1 to 33
    c82 cd82 cn82 cs82 cmv82 cfuel82 ypd82 tbill $
    miindexq miexpcnq  miunempq $
    zc82 zcs82 zcmv82 zcontr82 $
    sandp unemp $
    tbill6 cpapr fedfn $
    zmiindex zmiexpcn zmiunemp yl82 zyl $
    cns82 $
    zc82 zcs82 zcmv82 zcontr82 zcd82 zcn82 zcns82

* note that some of the consumption change variables are identified by
* two numbers.  This is to make the code transparent where you
* want to loop over different consumption measures.  To loop over
* all consumption measures you would loop from 27 to 31.


* data in CONSDB and CONSDB2 created by running 'loaddat' in unix

* RATSDATA contains FAME history
open data RATSDATA
data(unit=data, format=rats) / $
unemp c82 cd82 cmv82 cn82 cs82 ypd82 fedfn cpapr tbill6 miindexq $
miexpcnq miunempq sandp tbill3
close data RATSDATA


data(unit=input) 1953:1 1993:3 miindexq
  90.7    90.7    80.8    80.8    82      82.9    82.9    87      95.9
  99.1    99.1    99.7    99.7    98.2    99.9    100.2   100.2   92.9
  92.9    83.7    78.5    80.9    80.9    90.8    90.8    95.3    95.3
  93.8    100     93.3    93.3    90.1    91.6    92.5    99.2    93
  99.9    95.4    91.6    95      98.4    91.7    96.4    94.4    99.5
  98.5    100.6   99.9    102     102.2   103.4   102.9   100     95.7
  91.2    88.3    94.1    95.9    97      92.9    97.2    92.4    92.4
  91.7    98.2    91.5    86.4    79.7    78.1    75.4    77.6    72.4
  78.1    80.2    82.1    82      92.8    88.6    95.2    90.7    81.9
  77      72      76.5    61.8    72.1    64.4    59.5    57.6    72.8
  75.7    75.6    84.6    83.3    89.7    87      87.1    90.2    89
  84.4    82.267  81.5    80.4    73.467  71.467  66.633  63.867  62.133
  63.467  54.367  67.767  72.067  68.267  73.933  74.8    65.7    66.5
  66.233  66.7    72.467  75.267  91.533  91.567  91.533  99.5    96.567
  98.867  94.967  94.467  94.3    92.833  91.067  95.533  96.767  94.833
  92.033  90.467  91.8    93.9    86.4    92.333  93.567  96.033  93
  95.867  90.933  92.467  91.767  91.267  90.933  79.133  65.133  74.967
  80.733  82.633  71.867  70.767  78.933  76.1    83.2    87.267  82.467
  77.233


* create log diffs of consumption series 

   set contr82  / = cd82(t) + cn82(t) - cmv82(t)
   set zc82     / = log(c82(t))     - log(c82(t-1))
   set zcs82    / = log(cs82(t))    - log(cs82(t-1))
   set zcmv82   / = log(cmv82(t))   - log(cmv82(t-1))
   set zcontr82 / = log(contr82(t)) - log(contr82(t-1))
   set zcd82    / = log(cd82(t))    - log(cd82(t-1))
   set zcn82    / = log(cn82(t))    - log(cn82(t-1))
   set cns82    / = cs82(t) + cn82(t)
   set zcns82   / = log(cns82(t))   - log(cns82(t-1))
   set zypd82   / = log(ypd82(t))   - log(ypd82(t-1))
   set zsandp   / = log(sandp(t))   - log(sandp(t-1))
   set zunemp   / = unemp(t)        - unemp(t-1)
   set zfunds   / = fedfn(t)        - fedfn(t-1)
   set spread   / = cpapr(t)        - tbill6(t)
   set ecm      / = log(c82(t))     - log(ypd82(t))   

   set zmiindex / = miindexq(t)     - miindexq(t-1)
   set zmiexpcn / = miexpcnq(t)     - miexpcnq(t-1)
   set zmiunemp / = miunempq(t)     - miunempq(t-1)
   set zyl      / = log(yl82(t))    - log(yl82(t-1))

* Need shorter versions of the names of some variables for
* inclusion into strings below.

   set zy = zypd82(t)
   set zsp = zsandp(t)
   set zu = zunemp(t)
   set zf = zfunds(t)
   set s  = spread(t)
   set c  = constant(t)
   set zmu = zmiunemp(t)
   set zmi = zmiindex(t)
   set zt3 / = tbill3(t) - tbill3(t-1)
